xmlpp::validity_error Class Reference

This exception will be thrown when the parser encounters a validity error in the XML document. More...

`#include <libxml++/exceptions/validity_error.h>`

Inheritance diagram for xmlpp::validity_error:
[legend]

## Public Member Functions

| validity_error (const Glib::ustring& message)
virtual | ~validity_error () throw ()
virtual exception* | Clone () const
virtual void | Raise () const
Public Member Functions inherited from xmlpp::parse_error
| parse_error (const Glib::ustring& message)
virtual | ~parse_error () throw ()
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
virtual | ~exception () throw ()
virtual const char* | what () const throw ()

## Detailed Description

This exception will be thrown when the parser encounters a validity error in the XML document.

## Constructor & Destructor Documentation

xmlpp::validity_error::validity_error | ( | const Glib::ustring & | message | ) |

explicit

virtual xmlpp::validity_error::~validity_error | ( |  | ) |
throw | ( |
| ) |  |

virtual

## Member Function Documentation

virtual exception* xmlpp::validity_error::Clone | ( |  | ) | const

virtual

Reimplemented from xmlpp::parse_error.

virtual void xmlpp::validity_error::Raise | ( |  | ) | const

virtual

Reimplemented from xmlpp::parse_error.